## org.bn.compiler.parser.model
Class ASNModule

    java.lang.Object
      org.bn.compiler.parser.model.ASNModule

    public class ASNModule

extends java.lang.Object

This class defines the class holding for ASN.1 modules and basic Types

Field Summary
`AsnTypes` `asnTypes`
`java.util.ArrayList` `asnValues`
`boolean` `exported`
`java.util.ArrayList` `exportSymbolList`
`boolean` `extensible`
`boolean` `imported`
`java.util.ArrayList` `importSymbolFromModuleList`
`AsnModuleIdentifier` `moduleIdentifier`
`boolean` `tag`
`java.lang.String` `tagDefault`

Constructor Summary
`ASNModule()`

Method Summary
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### asnTypes

    public AsnTypes asnTypes

### asnValues

    public java.util.ArrayList asnValues

### exportSymbolList

    public java.util.ArrayList exportSymbolList

### exported

    public boolean exported

### extensible

    public boolean extensible

### importSymbolFromModuleList

    public java.util.ArrayList importSymbolFromModuleList

### imported

    public boolean imported

### moduleIdentifier

    public AsnModuleIdentifier moduleIdentifier

### tag

    public boolean tag

### tagDefault

    public java.lang.String tagDefault

Constructor Detail

### ASNModule

    public ASNModule()

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`